<?php

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Allgemein\Raumreservierung\Belegungsplan;

class BelegungsplanRowView extends \Kufer\KuferTools\Basis\GebaeudeGrafik\GebaeudeGrafikRowView
{
  public function getTemplatePathRelative()
  {
    return 'allgemein/raumreservierung/gebaeudegrafik_tablerow.sgt';
  }

  protected function getHeaderDataModulArray()
  {
    return array_map(function($datamodul) {
      $datamodul->isdateinpast = $this->viewModel->isDateInPast;

      return $datamodul;
    }, parent::getHeaderDataModulArray());
  }
}

class BelegungsplanRowViewModel extends \Kufer\KuferTools\Basis\GebaeudeGrafik\GebaeudeGrafikRowViewModel
{
  public $isDateInPast;
}